bionic/linux-oem: 4.15.0-1050.57 -proposed tracker

Bug #1839261 reported by Stefan Bader on 2019-08-07
38
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Taihsiang Ho
Prepare-package
Medium
AceLan Kao
Prepare-package-meta
Medium
AceLan Kao
Prepare-package-signed
Medium
AceLan Kao
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Andy Whitcroft
Promote-to-updates
Medium
Andy Whitcroft
Regression-testing
Medium
Po-Hsu Lin
Security-signoff
Medium
Canonical Security Team
Verification-testing
Medium
Canonical Kernel Team
linux-oem (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1839293
packages:
  main: linux-oem
  meta: linux-meta-oem
  signed: linux-signed-oem
phase: Complete
phase-changed: Wednesday, 14. August 2019 05:58 UTC
proposed-announcement-sent: true
proposed-testing-requested: true
variant: debs

Stefan Bader (smb) on 2019-08-07
tags: added: bionic kernel-release-tracking-bug
Changed in linux-oem (Ubuntu Bionic):
status: New → Confirmed
Changed in linux-oem (Ubuntu):
status: New → Invalid
Changed in linux-oem (Ubuntu Bionic):
importance: Undecided → Medium
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2019.07.22-5
Stefan Bader (smb) on 2019-08-07
description: updated
tags: added: kernel-sru-derivative-of-1839293
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
summary: - linux-oem: <version to be filled> -proposed tracker
+ bionic/linux-oem: <version to be filled> -proposed tracker
description: updated
description: updated
AceLan Kao (acelankao) on 2019-08-07
summary: - bionic/linux-oem: <version to be filled> -proposed tracker
+ bionic/linux-oem: 4.15.0-1050.57 -proposed tracker
description: updated
description: updated
description: updated
tags: added: block-proposed-bionic
tags: added: block-proposed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Sean Feole (sfeole) on 2019-08-12
tags: added: regression-testing-passed
description: updated
Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have begun testing this -proposed kernel.

Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/oem/4.15.0-1050.57/oem-4.15-proposed-published.html

tags: added: certification-testing-passed
tags: removed: block-proposed-bionic
tags: removed: block-proposed
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1050.57

---------------
linux-oem (4.15.0-1050.57) bionic; urgency=medium

  * bionic/linux-oem: 4.15.0-1050.57 -proposed tracker (LP: #1839261)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 4.15.0-58.64 ]

  * unable to handle kernel NULL pointer dereference at 000000000000002c (IP:
    iget5_locked+0x9e/0x1f0) (LP: #1838982)
    - Revert "ovl: set I_CREATING on inode being created"
    - Revert "new primitive: discard_new_inode()"

 -- Chia-Lin Kao (AceLan) <email address hidden> Wed, 07 Aug 2019 18:14:17 +0800

Changed in linux-oem (Ubuntu Bionic):
status: Confirmed → Fix Released
description: updated
description: updated
description: updated
description: updated

All tasks have been completed and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
tags: removed: kernel-release-tracking-bug-live
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1050.57

---------------
linux-oem (4.15.0-1050.57) bionic; urgency=medium

  * bionic/linux-oem: 4.15.0-1050.57 -proposed tracker (LP: #1839261)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 4.15.0-58.64 ]

  * unable to handle kernel NULL pointer dereference at 000000000000002c (IP:
    iget5_locked+0x9e/0x1f0) (LP: #1838982)
    - Revert "ovl: set I_CREATING on inode being created"
    - Revert "new primitive: discard_new_inode()"

 -- Chia-Lin Kao (AceLan) <email address hidden> Wed, 07 Aug 2019 18:14:17 +0800

Changed in linux-oem (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers